diff --git a/src/main/java/net/minecraft/client/gui/guidebook/index/IndexSection.java b/src/main/java/net/minecraft/client/gui/guidebook/index/GuidebookSectionIndex.java
similarity index 86%
rename from src/main/java/net/minecraft/client/gui/guidebook/index/IndexSection.java
rename to src/main/java/net/minecraft/client/gui/guidebook/index/GuidebookSectionIndex.java
index f65914977..51f662571 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/index/IndexSection.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/index/GuidebookSectionIndex.java
@@ -3,19 +3,18 @@ package net.minecraft.client.gui.guidebook.index;
 import net.minecraft.client.gui.guidebook.GuidebookPage;
 import net.minecraft.client.gui.guidebook.GuidebookSection;
 import net.minecraft.client.gui.guidebook.GuidebookSections;
-import net.minecraft.core.item.Item;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
 
 import java.util.ArrayList;
 import java.util.List;
 
-public class IndexSection
+public class GuidebookSectionIndex
     extends GuidebookSection {
     private ArrayList<GuidebookPage> allPages = null;
     private ArrayList<GuidebookPage> indexPages = null;
 
-    public IndexSection() {
+    public GuidebookSectionIndex() {
         super("guidebook.section.index", new ItemStack(Items.TOOL_COMPASS), 0x0094FF, 0xC29B1C);
     }
 
@@ -44,7 +43,7 @@ public class IndexSection
                 totalLines++;
             }
         }
-        int totalPages = totalLines / IndexPage.LINES_PER_PAGE + 1;
+        int totalPages = totalLines / GuidebookPageIndex.LINES_PER_PAGE + 1;
 
         lines.add(0, 1 - totalPages);
         lines.add(0, GuidebookSections.INDEX);
@@ -67,10 +66,10 @@ public class IndexSection
         indexPages = new ArrayList<>();
         List<Object> lines = getLines();
         int totalLines = lines.size() / 2;
-        int totalPages = totalLines / IndexPage.LINES_PER_PAGE + 1;
+        int totalPages = totalLines / GuidebookPageIndex.LINES_PER_PAGE + 1;
 
         for (int i = 0; i < totalPages; i++) {
-            indexPages.add(new IndexPage(this, lines, i * IndexPage.LINES_PER_PAGE));
+            indexPages.add(new GuidebookPageIndex(this, lines, i * GuidebookPageIndex.LINES_PER_PAGE));
         }
 
     }
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/mobs/MobPage.java b/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java
similarity index 93%
rename from src/main/java/net/minecraft/client/gui/guidebook/mobs/MobPage.java
rename to src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java
index 15edb4988..e823a6423 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/mobs/MobPage.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java
@@ -14,11 +14,11 @@ import net.minecraft.core.data.registry.recipe.RecipeSymbol;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityDispatcher;
 import net.minecraft.core.entity.Mob;
-import net.minecraft.core.entity.animal.FireflyClusterMob;
+import net.minecraft.core.entity.animal.MobFireflyCluster;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.player.gamemode.Gamemode;
 import net.minecraft.core.player.inventory.slot.Slot;
-import net.minecraft.client.gui.guidebook.GuidebookSlot;
+import net.minecraft.client.gui.guidebook.SlotGuidebook;
 import net.minecraft.core.world.World;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.opengl.GL11;
@@ -27,14 +27,14 @@ import org.slf4j.Logger;
 
 import java.util.*;
 
-public class MobPage
+public class GuidebookPageMob
     extends GuidebookPage {
     private static final Logger LOGGER = LogUtils.getLogger();
     private final Class<? extends Entity> mobClass;
     private final MobInfoRegistry.MobInfo mobInfo;
     private final Mob example;
-    private List<GuidebookSlot> slots;
-    private Map<MobInfoRegistry.MobDrop, GuidebookSlot> dropSlotMap;
+    private List<SlotGuidebook> slots;
+    private Map<MobInfoRegistry.MobDrop, SlotGuidebook> dropSlotMap;
     private static final Minecraft mc = Minecraft.getMinecraft(GuidebookPage.class);
     private static final ItemElement itemElement = new ItemElement(mc);
     private static final TooltipElement tooltipElement = new TooltipElement(mc);
@@ -42,7 +42,7 @@ public class MobPage
 
 
 
-    public MobPage(GuidebookSection section, Class<? extends Entity> mobClass, MobInfoRegistry.MobInfo mobInfo) {
+    public GuidebookPageMob(GuidebookSection section, Class<? extends Entity> mobClass, MobInfoRegistry.MobInfo mobInfo) {
         super(section);
 
         this.mobClass = mobClass;
@@ -61,7 +61,7 @@ public class MobPage
             dropSlotMap = new HashMap<>();
             for (int i = 0; i < mobInfo.getDrops().length; i++) {
                 MobInfoRegistry.MobDrop drop = mobInfo.getDrops()[i];
-                GuidebookSlot slot = new GuidebookSlot(i, 0, 0, new RecipeSymbol(drop.getStack()), false, null);
+                SlotGuidebook slot = new SlotGuidebook(i, 0, 0, new RecipeSymbol(drop.getStack()), false, null);
                 slots.add(slot);
                 dropSlotMap.put(drop, slot);
             }
@@ -181,7 +181,7 @@ public class MobPage
                     drawStringNoShadow(fr, i18n.translateKey("guidebook.section.mob.drops"), x + 8, yOffset, 0x000000);
                     yOffset += 12;
                     for (int i = 0; i < mobInfo.getDrops().length; i++) {
-                        GuidebookSlot slot = slots.get(i);
+                        SlotGuidebook slot = slots.get(i);
                         slot.x = 7 + (i % 7) * 21;
                         slot.y = (yOffset - y) + (i / 7) * 20;
                         MobInfoRegistry.MobDrop drop = mobInfo.getDrops()[i];
@@ -222,10 +222,10 @@ public class MobPage
 //                    int newSkinVariant = (example.getSkinVariant() + 1) % (highestSkinVariant + 1);
 //                    example.setSkinVariant(newSkinVariant);
 //                }
-                if (example instanceof FireflyClusterMob){
-                    FireflyClusterMob.FireflyColor color = FireflyClusterMob.FireflyColor.fireFlyColors.get(
-                            ((FireflyClusterMob) example).getColor().getId() + 1 % FireflyClusterMob.FireflyColor.fireFlyColors.size());
-                    ((FireflyClusterMob) example).setColor(color == null ? FireflyClusterMob.FireflyColor.GREEN : color);
+                if (example instanceof MobFireflyCluster){
+                    MobFireflyCluster.FireflyColor color = MobFireflyCluster.FireflyColor.fireFlyColors.get(
+                            ((MobFireflyCluster) example).getColor().getId() + 1 % MobFireflyCluster.FireflyColor.fireFlyColors.size());
+                    ((MobFireflyCluster) example).setColor(color == null ? MobFireflyCluster.FireflyColor.GREEN : color);
                 }
                 String livingSound = example.getLivingSound();
                 if (livingSound != null) {
@@ -283,8 +283,8 @@ public class MobPage
     protected void renderOverlay(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
         super.renderOverlay(re, fr, x, y, mouseX, mouseY, partialTicks);
         if (slots == null) return;
-        GuidebookSlot mouseOverSlot = null;
-        for (GuidebookSlot slot : slots) {
+        SlotGuidebook mouseOverSlot = null;
+        for (SlotGuidebook slot : slots) {
             if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) mouseOverSlot = slot;
             GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
             if (mouseOverSlot != null && mouseOverSlot.hasItem())
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/mobs/MobSection.java b/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookSectionMob.java
similarity index 92%
rename from src/main/java/net/minecraft/client/gui/guidebook/mobs/MobSection.java
rename to src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookSectionMob.java
index 88fed6e73..4d0680a64 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/mobs/MobSection.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookSectionMob.java
@@ -8,7 +8,6 @@ import net.minecraft.core.data.registry.recipe.SearchQuery;
 import net.minecraft.core.achievement.stat.StatList;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityDispatcher;
-import net.minecraft.core.item.Item;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.lang.I18n;
@@ -19,17 +18,17 @@ import java.util.ArrayList;
 import java.util.List;
 import java.util.Objects;
 
-public class MobSection
+public class GuidebookSectionMob
     extends SearchableGuidebookSection {
     private final List<GuidebookPage> pages = new ArrayList<>();
     private final List<GuidebookSection.Index> indices = new ArrayList<>();
     private Pair<String,List<GuidebookPage>> filteredPages = null;
-    public MobSection() {
+    public GuidebookSectionMob() {
         super("guidebook.section.mob", new ItemStack(Items.BONE), 0x66962B, 0xC29B1C);
 
         for (Class<? extends Entity> e : MobInfoRegistry.getMobClassList()) {
             MobInfoRegistry.MobInfo mobInfo = MobInfoRegistry.getMobInfo(e);
-            MobPage page = new MobPage(this, e, mobInfo);
+            GuidebookPageMob page = new GuidebookPageMob(this, e, mobInfo);
             pages.add(page);
             indices.add(new Index(mobInfo, page));
         }
@@ -61,11 +60,11 @@ public class MobSection
                     }
                 }
 
-                MobPage page = new MobPage(this, e, mobInfo);
+                GuidebookPageMob page = new GuidebookPageMob(this, e, mobInfo);
                 filtered.add(page);
             }
 //            if(filtered.isEmpty()){
-//                filtered.add(new MobPage(this,null, null));
+//                filtered.add(new GuidebookPageMob(this,null, null));
 //            }
             this.filteredPages = Pair.of(query.rawQuery, filtered);
             return filtered;
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/mobs/MobInfoRegistry.java b/src/main/java/net/minecraft/client/gui/guidebook/mobs/MobInfoRegistry.java
index 1eda5e312..cc72b3683 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/mobs/MobInfoRegistry.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/mobs/MobInfoRegistry.java
@@ -6,7 +6,6 @@ import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.animal.*;
 import net.minecraft.core.entity.monster.*;
-import net.minecraft.core.item.Item;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
 
@@ -30,7 +29,7 @@ public abstract class MobInfoRegistry {
     }
 
     static {
-        register(PigMob.class,
+        register(MobPig.class,
             "guidebook.section.mob.pig.name",
             "guidebook.section.mob.pig.desc",
             10,
@@ -39,7 +38,7 @@ public abstract class MobInfoRegistry {
                 new MobDrop(new ItemStack(Items.FOOD_PORKCHOP_RAW), 1.0F, 1, 2)
             }
         );
-        register(SheepMob.class,
+        register(MobSheep.class,
             "guidebook.section.mob.sheep.name",
             "guidebook.section.mob.sheep.desc",
             10,
@@ -48,7 +47,7 @@ public abstract class MobInfoRegistry {
                 new MobDrop(new ItemStack(Blocks.WOOL), 1.0F, 1, 1)
             }
         );
-        register(CowMob.class,
+        register(MobCow.class,
             "guidebook.section.mob.cow.name",
             "guidebook.section.mob.cow.desc",
             10,
@@ -57,7 +56,7 @@ public abstract class MobInfoRegistry {
                 new MobDrop(new ItemStack(Items.LEATHER), 1.0F, 1, 5)
             }
         );
-        register(ChickenMob.class,
+        register(MobChicken.class,
             "guidebook.section.mob.chicken.name",
             "guidebook.section.mob.chicken.desc",
             4,
@@ -66,7 +65,7 @@ public abstract class MobInfoRegistry {
                 new MobDrop(new ItemStack(Items.FEATHER_CHICKEN), 0.66f, 1, 2)
             }
         );
-        register(SquidMob.class,
+        register(MobSquid.class,
             "guidebook.section.mob.squid.name",
             "guidebook.section.mob.squid.desc",
             10,
@@ -75,21 +74,21 @@ public abstract class MobInfoRegistry {
                 new MobDrop(new ItemStack(Items.DYE, 1, 0), 1.0F, 1, 3)
             }
         );
-        register(WolfMob.class,
+        register(MobWolf.class,
             "guidebook.section.mob.wolf.name",
             "guidebook.section.mob.wolf.desc",
             8,
             500,
             null
         );
-        register(FireflyClusterMob.class,
+        register(MobFireflyCluster.class,
             "guidebook.section.mob.firefly_cluster.name",
             "guidebook.section.mob.firefly_cluster.desc",
             -1,
             -1,
             null
         );
-        register(ZombieMob.class,
+        register(MobZombie.class,
             "guidebook.section.mob.zombie.name",
             "guidebook.section.mob.zombie.desc",
             20,
@@ -98,7 +97,7 @@ public abstract class MobInfoRegistry {
                 new MobDrop(new ItemStack(Items.CLOTH), 0.66f, 1, 2)
             }
         );
-        register(ZombieArmoredMob.class,
+        register(MobZombieArmored.class,
             "guidebook.section.mob.armored_zombie.name",
             "guidebook.section.mob.armored_zombie.desc",
             40,
@@ -108,7 +107,7 @@ public abstract class MobInfoRegistry {
                 new MobDrop(new ItemStack(Items.CHAINLINK), 0.8f, 1, 4)
             }
         );
-        register(SnowmanMob.class,
+        register(MobSnowman.class,
             "guidebook.section.mob.snowman.name",
             "guidebook.section.mob.snowman.desc",
             20,
@@ -117,7 +116,7 @@ public abstract class MobInfoRegistry {
                 new MobDrop(new ItemStack(Items.AMMO_SNOWBALL), 0.66f, 1, 2)
             }
         );
-        register(CreeperMob.class,
+        register(MobCreeper.class,
             "guidebook.section.mob.creeper.name",
             "guidebook.section.mob.creeper.desc",
             20,
@@ -126,7 +125,7 @@ public abstract class MobInfoRegistry {
                 new MobDrop(new ItemStack(Items.SULPHUR), 0.66f, 1, 2)
             }
         );
-        register(SkeletonMob.class,
+        register(MobSkeleton.class,
             "guidebook.section.mob.skeleton.name",
             "guidebook.section.mob.skeleton.desc",
             20,
@@ -136,7 +135,7 @@ public abstract class MobInfoRegistry {
                 new MobDrop(new ItemStack(Items.AMMO_ARROW), 0.66f, 1, 2)
             }
         );
-        register(SpiderMob.class,
+        register(MobSpider.class,
             "guidebook.section.mob.spider.name",
             "guidebook.section.mob.spider.desc",
             20,
@@ -145,7 +144,7 @@ public abstract class MobInfoRegistry {
                 new MobDrop(new ItemStack(Items.STRING), 0.66f, 1, 2)
             }
         );
-        register(SlimeMob.class,
+        register(MobSlime.class,
             "guidebook.section.mob.slime.name",
             "guidebook.section.mob.slime.desc",
             -1,
@@ -154,7 +153,7 @@ public abstract class MobInfoRegistry {
                 new MobDrop(new ItemStack(Items.SLIMEBALL), 0.66f, 1, 2)
             }
         );
-        register(GhastMob.class,
+        register(MobGhast.class,
             "guidebook.section.mob.ghast.name",
             "guidebook.section.mob.ghast.desc",
             20,
@@ -163,7 +162,7 @@ public abstract class MobInfoRegistry {
                 new MobDrop(new ItemStack(Items.SULPHUR), 0.66f, 1, 2)
             }
         );
-        register(ZombiePigMob.class,
+        register(MobZombiePig.class,
             "guidebook.section.mob.zombie_pigman.name",
             "guidebook.section.mob.zombie_pigman.desc",
             20,
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/search/SearchPage.java b/src/main/java/net/minecraft/client/gui/guidebook/search/GuidebookPageSearch.java
similarity index 81%
rename from src/main/java/net/minecraft/client/gui/guidebook/search/SearchPage.java
rename to src/main/java/net/minecraft/client/gui/guidebook/search/GuidebookPageSearch.java
index 1a9dd0195..4b3389e5a 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/search/SearchPage.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/search/GuidebookPageSearch.java
@@ -8,15 +8,14 @@ import net.minecraft.client.render.Font;
 import net.minecraft.client.render.TextureManager;
 import net.minecraft.core.data.registry.recipe.SearchQuery;
 import net.minecraft.core.lang.I18n;
-import net.minecraft.core.net.command.TextFormatting;
 
-public class SearchPage extends GuidebookPage {
+public class GuidebookPageSearch extends GuidebookPage {
 
-    public static final TextFieldElement searchField = new TextFieldElement(null, Minecraft.getMinecraft(SearchPage.class).font,0,0,120,20,"","Search...");
+    public static final TextFieldElement searchField = new TextFieldElement(null, Minecraft.getMinecraft(GuidebookPageSearch.class).font,0,0,120,20,"","Search...");
     public final ButtonElement searchClearButton = new ButtonElement(0,0,0,20,20,"X");
-    private final Minecraft mc = Minecraft.getMinecraft(SearchPage.class);
+    private final Minecraft mc = Minecraft.getMinecraft(GuidebookPageSearch.class);
 
-    public SearchPage(GuidebookSection section) {
+    public GuidebookPageSearch(GuidebookSection section) {
         super(section);
     }
 
@@ -30,7 +29,7 @@ public class SearchPage extends GuidebookPage {
         searchClearButton.drawButton(mc,mouseX,mouseY);
 
         int results = 0;
-        for (GuidebookPage page : GuidebookScreen.getPageManager().getPages()) {
+        for (GuidebookPage page : ScreenGuidebook.getPageManager().getPages()) {
             if (page instanceof RecipePage) {
                 results += ((RecipePage<?>) page).recipes.size();
             }
@@ -73,13 +72,13 @@ public class SearchPage extends GuidebookPage {
         super.onMouseDown(x, y, mouseX, mouseY, button);
         searchField.mouseClicked(mouseX,mouseY,button);
         if(searchField.isFocused){
-            PageManager.searchQuery = SearchQuery.resolve(searchField.getText());
-            GuidebookScreen.getPageManager().updatePages();
+            GuidebookPageManager.searchQuery = SearchQuery.resolve(searchField.getText());
+            ScreenGuidebook.getPageManager().updatePages();
         }
         if(searchClearButton.mouseClicked(mc,mouseX,mouseY)){
             searchField.setText("");
-            PageManager.searchQuery = SearchQuery.resolve(searchField.getText());
-            GuidebookScreen.getPageManager().updatePages();
+            GuidebookPageManager.searchQuery = SearchQuery.resolve(searchField.getText());
+            ScreenGuidebook.getPageManager().updatePages();
         }
     }
 
@@ -87,8 +86,8 @@ public class SearchPage extends GuidebookPage {
     public boolean keyTyped(char c, int key, int x, int y, int mouseX, int mouseY) {
         if(searchField.isFocused) {
             searchField.textboxKeyTyped(c, key);
-            PageManager.searchQuery = SearchQuery.resolve(searchField.getText());
-            GuidebookScreen.getPageManager().updatePages();
+            GuidebookPageManager.searchQuery = SearchQuery.resolve(searchField.getText());
+            ScreenGuidebook.getPageManager().updatePages();
             return true;
         }
         return false;
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/search/SearchSection.java b/src/main/java/net/minecraft/client/gui/guidebook/search/GuidebookSectionSearch.java
similarity index 83%
rename from src/main/java/net/minecraft/client/gui/guidebook/search/SearchSection.java
rename to src/main/java/net/minecraft/client/gui/guidebook/search/GuidebookSectionSearch.java
index 78ec495d9..0c9d9d14e 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/search/SearchSection.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/search/GuidebookSectionSearch.java
@@ -2,20 +2,19 @@ package net.minecraft.client.gui.guidebook.search;
 
 import net.minecraft.client.gui.guidebook.GuidebookPage;
 import net.minecraft.client.gui.guidebook.GuidebookSection;
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.item.ItemStack;
 
 import java.util.ArrayList;
 import java.util.List;
 
-public class SearchSection
+public class GuidebookSectionSearch
     extends GuidebookSection {
     private final List<GuidebookPage> pages = new ArrayList<>();
 
-    public SearchSection() {
+    public GuidebookSectionSearch() {
         super("guidebook.section.search", new ItemStack(Blocks.GLASS), 0x808080,0xFFFFFF);
-        pages.add(new SearchPage(this));
+        pages.add(new GuidebookPageSearch(this));
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/smelting/BlastSmeltingSection.java b/src/main/java/net/minecraft/client/gui/guidebook/smelting/GuidebookSectionBlastSmelting.java
similarity index 77%
rename from src/main/java/net/minecraft/client/gui/guidebook/smelting/BlastSmeltingSection.java
rename to src/main/java/net/minecraft/client/gui/guidebook/smelting/GuidebookSectionBlastSmelting.java
index 81122257f..00329c65c 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/smelting/BlastSmeltingSection.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/smelting/GuidebookSectionBlastSmelting.java
@@ -2,7 +2,7 @@ package net.minecraft.client.gui.guidebook.smelting;
 
 import net.minecraft.client.gui.guidebook.GuidebookPage;
 import net.minecraft.client.gui.guidebook.SearchableGuidebookSection;
-import net.minecraft.client.gui.guidebook.crafting.CraftingPage;
+import net.minecraft.client.gui.guidebook.crafting.RecipePageCrafting;
 import net.minecraft.core.data.registry.recipe.SearchQuery;
 import net.minecraft.core.data.registry.recipe.entry.RecipeEntryBlastFurnace;
 import net.minecraft.core.data.registry.Registries;
@@ -14,12 +14,12 @@ import java.util.ArrayList;
 import java.util.List;
 import java.util.Objects;
 
-public class BlastSmeltingSection
+public class GuidebookSectionBlastSmelting
     extends SearchableGuidebookSection {
     private final List<GuidebookPage> pages = new ArrayList<>();
     private Pair<String,List<GuidebookPage>> filteredPages = null;
 
-    public BlastSmeltingSection(String translationKey, ItemStack tabIcon, int bgColor, int fgColor) {
+    public GuidebookSectionBlastSmelting(String translationKey, ItemStack tabIcon, int bgColor, int fgColor) {
         super(translationKey, tabIcon, bgColor, fgColor);
         reloadRecipes();
     }
@@ -29,11 +29,11 @@ public class BlastSmeltingSection
         List<RecipeEntryBlastFurnace> allRecipes = new ArrayList<>(Registries.RECIPES.getAllBlastFurnaceRecipes());
         allRecipes.removeIf(Objects::isNull);
         int totalRecipes = allRecipes.size();
-        int totalPages = MathHelper.ceilInt(totalRecipes, SmeltingPage.RECIPES_PER_PAGE);
+        int totalPages = MathHelper.ceilInt(totalRecipes, RecipePageSmelting.RECIPES_PER_PAGE);
         for (int i = 0; i < totalPages; i++) {
-            int j = i*SmeltingPage.RECIPES_PER_PAGE;
-            ArrayList<RecipeEntryBlastFurnace> recipes = new ArrayList<>(allRecipes.subList(Math.min(j, totalRecipes),Math.min(j+SmeltingPage.RECIPES_PER_PAGE, totalRecipes)));
-            pages.add(new BlastSmeltingPage(this,recipes));
+            int j = i* RecipePageSmelting.RECIPES_PER_PAGE;
+            ArrayList<RecipeEntryBlastFurnace> recipes = new ArrayList<>(allRecipes.subList(Math.min(j, totalRecipes),Math.min(j+ RecipePageSmelting.RECIPES_PER_PAGE, totalRecipes)));
+            pages.add(new RecipePageBlastSmelting(this,recipes));
         }
     }
 
@@ -50,12 +50,12 @@ public class BlastSmeltingSection
             }
             ArrayList<GuidebookPage> filteredPages = new ArrayList<>();
             int filteredRecipeSize = filteredRecipes.size();
-            int filteredPageCount = MathHelper.ceilInt(filteredRecipeSize, CraftingPage.RECIPES_PER_PAGE);
+            int filteredPageCount = MathHelper.ceilInt(filteredRecipeSize, RecipePageCrafting.RECIPES_PER_PAGE);
             for (int i = 0; i < filteredPageCount; i++) {
-                int j = i * BlastSmeltingPage.RECIPES_PER_PAGE;
-                ArrayList<RecipeEntryBlastFurnace> recipes = new ArrayList<>(filteredRecipes.subList(Math.min(j, filteredRecipeSize), Math.min(j + BlastSmeltingPage.RECIPES_PER_PAGE, filteredRecipeSize)));
+                int j = i * RecipePageBlastSmelting.RECIPES_PER_PAGE;
+                ArrayList<RecipeEntryBlastFurnace> recipes = new ArrayList<>(filteredRecipes.subList(Math.min(j, filteredRecipeSize), Math.min(j + RecipePageBlastSmelting.RECIPES_PER_PAGE, filteredRecipeSize)));
                 if (!recipes.isEmpty()) {
-                    filteredPages.add(new BlastSmeltingPage(this, recipes));
+                    filteredPages.add(new RecipePageBlastSmelting(this, recipes));
                 }
             }
             this.filteredPages = Pair.of(query.rawQuery, filteredPages);
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/smelting/SmeltingSection.java b/src/main/java/net/minecraft/client/gui/guidebook/smelting/GuidebookSectionSmelting.java
similarity index 76%
rename from src/main/java/net/minecraft/client/gui/guidebook/smelting/SmeltingSection.java
rename to src/main/java/net/minecraft/client/gui/guidebook/smelting/GuidebookSectionSmelting.java
index 0cfd331e0..2a714225b 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/smelting/SmeltingSection.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/smelting/GuidebookSectionSmelting.java
@@ -2,7 +2,7 @@ package net.minecraft.client.gui.guidebook.smelting;
 
 import net.minecraft.client.gui.guidebook.GuidebookPage;
 import net.minecraft.client.gui.guidebook.SearchableGuidebookSection;
-import net.minecraft.client.gui.guidebook.crafting.CraftingPage;
+import net.minecraft.client.gui.guidebook.crafting.RecipePageCrafting;
 import net.minecraft.core.data.registry.recipe.SearchQuery;
 import net.minecraft.core.data.registry.recipe.entry.RecipeEntryFurnace;
 import net.minecraft.core.data.registry.Registries;
@@ -14,12 +14,12 @@ import java.util.ArrayList;
 import java.util.List;
 import java.util.Objects;
 
-public class SmeltingSection
+public class GuidebookSectionSmelting
     extends SearchableGuidebookSection {
     private final List<GuidebookPage> pages = new ArrayList<>();
     private Pair<String,List<GuidebookPage>> filteredPages = null;
 
-    public SmeltingSection(String translationKey, ItemStack tabIcon, int bgColor, int fgColor) {
+    public GuidebookSectionSmelting(String translationKey, ItemStack tabIcon, int bgColor, int fgColor) {
         super(translationKey, tabIcon, bgColor, fgColor);
         reloadRecipes();
     }
@@ -37,12 +37,12 @@ public class SmeltingSection
             }
             ArrayList<GuidebookPage> filteredPages = new ArrayList<>();
             int filteredRecipeSize = filteredRecipes.size();
-            int filteredPageCount = MathHelper.ceilInt(filteredRecipeSize, CraftingPage.RECIPES_PER_PAGE);
+            int filteredPageCount = MathHelper.ceilInt(filteredRecipeSize, RecipePageCrafting.RECIPES_PER_PAGE);
             for (int i = 0; i < filteredPageCount; i++) {
-                int j = i * SmeltingPage.RECIPES_PER_PAGE;
-                ArrayList<RecipeEntryFurnace> recipes = new ArrayList<>(filteredRecipes.subList(Math.min(j, filteredRecipeSize), Math.min(j + SmeltingPage.RECIPES_PER_PAGE, filteredRecipeSize)));
+                int j = i * RecipePageSmelting.RECIPES_PER_PAGE;
+                ArrayList<RecipeEntryFurnace> recipes = new ArrayList<>(filteredRecipes.subList(Math.min(j, filteredRecipeSize), Math.min(j + RecipePageSmelting.RECIPES_PER_PAGE, filteredRecipeSize)));
                 if (recipes.size() > 0) {
-                    filteredPages.add(new SmeltingPage(this, recipes));
+                    filteredPages.add(new RecipePageSmelting(this, recipes));
                 }
             }
             this.filteredPages = Pair.of(query.rawQuery, filteredPages);
@@ -57,11 +57,11 @@ public class SmeltingSection
         List<RecipeEntryFurnace> allRecipes = new ArrayList<>(Registries.RECIPES.getAllFurnaceRecipes());
         allRecipes.removeIf(Objects::isNull);
         int totalRecipes = allRecipes.size();
-        int totalPages = MathHelper.ceilInt(totalRecipes, SmeltingPage.RECIPES_PER_PAGE);
+        int totalPages = MathHelper.ceilInt(totalRecipes, RecipePageSmelting.RECIPES_PER_PAGE);
         for (int i = 0; i < totalPages; i++) {
-            int j = i*SmeltingPage.RECIPES_PER_PAGE;
-            ArrayList<RecipeEntryFurnace> recipes = new ArrayList<>(allRecipes.subList(Math.min(j, totalRecipes),Math.min(j+SmeltingPage.RECIPES_PER_PAGE,totalRecipes)));
-            pages.add(new SmeltingPage(this,recipes));
+            int j = i* RecipePageSmelting.RECIPES_PER_PAGE;
+            ArrayList<RecipeEntryFurnace> recipes = new ArrayList<>(allRecipes.subList(Math.min(j, totalRecipes),Math.min(j+ RecipePageSmelting.RECIPES_PER_PAGE,totalRecipes)));
+            pages.add(new RecipePageSmelting(this,recipes));
         }
     }
 
